<?php

use App\Http\Controllers\ProfileController;
use App\Http\Controllers\HomeController;
use Illuminate\Support\Facades\Route;

Route::get('/', [HomeController::class, 'index'])->name('home');
Route::get('booking-policies', [HomeController::class, 'bookingPolicies'])->name('booking.policies');
Route::get('/booking-categories', [HomeController::class, 'bookingCategories'])->name('booking.categories');
Route::get('/booking-services', [HomeController::class, 'bookingServices'])->name('booking.services');
Route::get('/booking-date-time', [HomeController::class, 'bookingDateTime'])->name('booking.date.time');
Route::get('/appointment', [HomeController::class, 'appointment'])->name('appointment');
Route::get('wigs-shop', [HomeController::class, 'wigsShop'])->name('wigs.shop');
Route::get('bag-shop', [HomeController::class, 'bagShop'])->name('bag.shop');
Route::get('shop-details', [HomeController::class, 'shopDetails'])->name('shop.details');
Route::get('/cart', [HomeController::class, 'cart'])->name('cart');


Route::get('/dashboard', function () {
    return view('dashboard');
})->middleware(['auth', 'verified'])->name('dashboard');

Route::middleware('auth')->group(function () {
    Route::get('/profile', [ProfileController::class, 'edit'])->name('profile.edit');
    Route::patch('/profile', [ProfileController::class, 'update'])->name('profile.update');
    Route::delete('/profile', [ProfileController::class, 'destroy'])->name('profile.destroy');
});

require __DIR__.'/auth.php';
